> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/43-kueri-wo.md).

# 43. クエリ: 圃場を取得

フィルターでユーザーの「Fields」を取得するクエリ。 `ラベル`, `farmUuid`, `fieldUuid`, `フィールド名`。返されるフィールドはフィールド名のアルファベット順です。&#x20;

フィールドフィルターはAND条件のように動作します。例：でフィルターすることが可能です `farmUuid` およびで `fieldUuid` およびで `ラベル` およびで `フィールド名` 1つのクエリで、または1つのフィルター条件だけを使うか、条件を使わないこともできます。&#x20;

でフィルターする `フィールド名` はとして機能します `begins_with（先頭一致）`.&#x20;

ページネーションのロジックを実装するには、クエリパラメータを使用します `pageSize（ページサイズ）`。レスポンスには次のものがあります `lastEvaluatedKey（最後に評価されたキー）` と `totalCount（合計件数）` が含まれます。ここで `lastEvaluatedKey（最後に評価されたキー）` はフィルター条件に一致する最後に処理されたレコードを指し、 `totalCount（合計件数）` はフィルタリング条件に一致するレコードの総数です。

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FilterFields {
  getFields(
    filter: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      labels: [{ name: "name1", value: "value1" }]
      pageSize: 2
      lastEvaluatedKey: {
        SortKey: "<some_key>"
        PartitionKey: "<some_key>"
        TagString: "<some_key>"
      }
      fieldName: "Sample"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      名前
      labels {
        名前
        value
      }
      totalCount（合計件数）
    }
    lastEvaluatedKey {
      SortKey
      PartitionKey
      TagString
    }
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/43-kueri-wo.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
